FTP Accounts
Manage FTP-based access to your Stook Buckets.
The UUID of the organization
FTP accounts retrieved successfully
Indicates the success of the request
GET /api/api/v2/stook/{organization_uuid}/ftp HTTP/1.1
Host: cloud.medianova.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
FTP accounts retrieved successfully
{
"status": true,
"data": [
{
"uuid": "text",
"name": "text",
"bucket_uuid": "text",
"path": "text",
"login_allowed": true,
"is_readonly": true,
"wrap_rules": [
{
"type": "allow",
"rule": [
"text"
]
}
]
}
]
}The UUID of the organization
The UUID of the FTP account
FTP account details retrieved successfully
Indicates the success of the request
GET /api/api/v2/stook/{organization_uuid}/ftp/{ftp_uuid} HTTP/1.1
Host: cloud.medianova.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
FTP account details retrieved successfully
{
"status": true,
"data": {
"uuid": "text",
"bucket_uuid": "text",
"name": "text",
"path": "text",
"login_allowed": true,
"count": 1,
"is_readonly": true,
"wrap_rules": [
{
"type": "allow",
"rule": [
"text"
]
}
]
}
}The UUID of the organization
The name of the FTP account
The password for the FTP account
The UUID of the associated bucket
Indicates if the FTP account is read-only
The path for the FTP account
FTP account successfully created
Indicates the success of the request
POST /api/api/v2/stook/{organization_uuid}/ftp HTTP/1.1
Host: cloud.medianova.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 135
{
"name": "text",
"password": "text",
"bucket_uuid": "text",
"is_readonly": true,
"path": "text",
"wrap_rules": [
{
"type": "allow",
"rule": [
"text"
]
}
]
}FTP account successfully created
{
"status": true,
"data": {
"uuid": "text",
"bucket_uuid": "text",
"name": "text",
"path": "text",
"login_allowed": true,
"count": 1,
"is_readonly": true,
"wrap_rules": [
{
"type": "allow",
"rule": [
"text"
]
}
]
}
}The UUID of the organization
The UUID of the FTP account
The password for the FTP account
Indicates if login is allowed for the FTP account
The path for the FTP account
Indicates if the FTP account is read-only
FTP account successfully updated
Indicates the success of the request
PUT /api/api/v2/stook/{organization_uuid}/ftp/{ftp_uuid} HTTP/1.1
Host: cloud.medianova.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 121
{
"password": "text",
"login_allowed": true,
"path": "text",
"is_readonly": true,
"wrap_rules": [
{
"type": "allow",
"rule": [
"text"
]
}
]
}FTP account successfully updated
{
"status": true,
"data": {
"uuid": "text",
"bucket_uuid": "text",
"name": "text",
"path": "text",
"login_allowed": true,
"count": 1,
"is_readonly": true,
"wrap_rules": [
{
"type": "allow",
"rule": [
"text"
]
}
]
}
}The UUID of the organization
The UUID of the FTP account
FTP account successfully deleted
Indicates the success of the request
Message indicating the result of the operation
DELETE /api/api/v2/stook/{organization_uuid}/ftp/{ftp_uuid} HTTP/1.1
Host: cloud.medianova.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
FTP account successfully deleted
{
"status": true,
"data": "text"
}v1 FTP Endpoints (Legacy)
Retrieves detailed configuration and access rules for a specific FTP account in the Medianova Control Panel.
Unique identifier for the organization.
Unique identifier for the FTP account.
Successful response
Indicates whether the request was successful.
GET /api/api/v1/stook/{organization_uuid}/ftp/{ftp_uuid} HTTP/1.1
Host: cloud.medianova.com
Accept: */*
Successful response
{
"status": true,
"data": {
"uuid": "text",
"name": "text",
"path": "text",
"is_readonly": true,
"wrap_rules": [
{
"type": "allow",
"rule": [
"text"
]
}
]
}
}Updates the password, access permissions, and IP restriction rules for an existing legacy FTP account in the Medianova Control Panel.
Unique identifier for the organization.
Unique identifier for the FTP account to be updated.
New password for the FTP account access.
Sets whether the FTP account has read-only permissions.
Storage path to which the FTP account is restricted.
Successful response
Indicates whether the FTP account update was successful.
PUT /api/api/v1/stook/{organization_uuid}/ftp/{ftp_uuid} HTTP/1.1
Host: cloud.medianova.com
Content-Type: application/json
Accept: */*
Content-Length: 100
{
"password": "text",
"is_readonly": true,
"path": "text",
"wrap_rules": [
{
"type": "allow",
"rule": [
"text"
]
}
]
}Successful response
{
"status": true,
"data": {
"uuid": "text",
"name": "text",
"path": "text",
"is_readonly": true
}
}Permanently removes an existing legacy FTP account from the specified organization in the Medianova Control Panel.
Unique identifier for the organization.
Unique identifier for the FTP account to be deleted.
Successful response
Indicates whether the FTP account deletion was successful.
FTP account not found
DELETE /api/api/v1/stook/{organization_uuid}/ftp/{ftp_uuid} HTTP/1.1
Host: cloud.medianova.com
Accept: */*
{
"status": true
}Last updated
Was this helpful?